Page MenuHomePhabricator

NFC: Fix typo in Statepoint documentation
Needs ReviewPublic

Authored by kavon on Jan 24 2017, 7:34 PM.
This revision needs review, but all reviewers have resigned.

Details

Reviewers
sanjoy
Summary

The gc.statepoint intrinsic expects two i32's after the function argument, not i64's.

Diff Detail

Repository
rL LLVM

Event Timeline

kavon created this revision.Jan 24 2017, 7:34 PM
kavon added a comment.Jan 24 2017, 7:41 PM

I'll note that the requirement that the # call args and flags are i32s conflicts with the rest of the documentation, namely, that the flags argument is 64 bits wide.

Is the documentation about the flags argument being an i64 also wrong, or is the intrinsic type checker wrong?

sanjoy accepted this revision.Jan 25 2017, 5:41 PM

I'll note that the requirement that the # call args and flags are i32s conflicts with the rest of the documentation, namely, that the flags argument is 64 bits wide.

Is the documentation about the flags argument being an i64 also wrong, or is the intrinsic type checker wrong?

Well, at least one of them is wrong. :) I'd go with changing the doc to avoid breaking out of tree users (since, clearly, they could not have been using a 64 bit flag "according to spec").

This revision is now accepted and ready to land.Jan 25 2017, 5:41 PM
Jim added a subscriber: Jim.Dec 12 2019, 2:27 AM

Do you need someone to commit this change for you?

Herald added a project: Restricted Project. · View Herald TranscriptDec 12 2019, 2:27 AM
xgupta added a subscriber: xgupta.Oct 18 2021, 12:02 AM

This gc.statepoint intrinsic reference is now documented in langref.rst in case it needs to be committed.

sanjoy resigned from this revision.Jan 29 2022, 5:27 PM
This revision now requires review to proceed.Jan 29 2022, 5:27 PM